1. Update to a compatible SQL Server version according to The Raiser's Edge system requirements
OR
  1. If you have already installed a compatible SQL Server version, detach the database, uninstall the RE_Express instance of SQL 2005 from the server
  2. Then confirm that SQL 2008 was properly installed by going to the install folder and double clicking on Setup.exe. If the SQL installation shows as pending then continue with the installation wizard to the point of completing the installation of SQL and then cancel.
  3. Re-attach the database to the 2008 Express instance of SQL